3

I have recently found that when running sudo apt-get update on Ubuntu GNOME 16.04 (though it is the same on all flavours) that this is the output:

Get:1 http://gb.archive.ubuntu.com/ubuntu xenial InRelease [247 kB]
Hit:2 http://security.ubuntu.com/ubuntu xenial-security InRelease
Get:3 http://gb.archive.ubuntu.com/ubuntu xenial-updates InRelease [82.2 kB]
Get:4 http://security.ubuntu.com/ubuntu xenial-security/main i386 Packages [28 B]
Get:5 http://gb.archive.ubuntu.com/ubuntu xenial-backports InRelease [82.2 kB]
Get:6 http://security.ubuntu.com/ubuntu xenial-security/restricted i386 Packages [28 B]
Get:7 http://security.ubuntu.com/ubuntu xenial-security/universe i386 Packages [28 B]
Get:8 http://security.ubuntu.com/ubuntu xenial-security/multiverse amd64 Packages [28 B]
Get:9 http://security.ubuntu.com/ubuntu xenial-security/multiverse i386 Packages [28 B]
Get:10 http://security.ubuntu.com/ubuntu xenial-security/multiverse Translation-en [28 B]
Get:11 http://gb.archive.ubuntu.com/ubuntu xenial/main amd64 Packages [1,201 kB]
Get:12 http://gb.archive.ubuntu.com/ubuntu xenial/main i386 Packages [1,196 kB]
Get:13 http://gb.archive.ubuntu.com/ubuntu xenial/main Translation-en_GB [426 kB]
Get:14 http://gb.archive.ubuntu.com/ubuntu xenial/main Translation-en [568 kB]
Get:15 http://gb.archive.ubuntu.com/ubuntu xenial/main amd64 DEP-11 Metadata [733 kB]
Get:16 http://gb.archive.ubuntu.com/ubuntu xenial/main DEP-11 64x64 Icons [409 kB]
Get:17 http://gb.archive.ubuntu.com/ubuntu xenial/restricted amd64 Packages [8,344 B]
Get:18 http://gb.archive.ubuntu.com/ubuntu xenial/restricted i386 Packages [8,684 B]
Get:19 http://gb.archive.ubuntu.com/ubuntu xenial/restricted Translation-en_GB [2,556 B]
Get:20 http://gb.archive.ubuntu.com/ubuntu xenial/restricted Translation-en [2,908 B]
Get:21 http://gb.archive.ubuntu.com/ubuntu xenial/restricted amd64 DEP-11 Metadata [186 B]
Get:22 http://gb.archive.ubuntu.com/ubuntu xenial/universe amd64 Packages [7,532 kB]
Get:23 http://gb.archive.ubuntu.com/ubuntu xenial/universe i386 Packages [7,512 kB]
Get:24 http://gb.archive.ubuntu.com/ubuntu xenial/universe Translation-en_GB [3,040 kB]
Get:25 http://gb.archive.ubuntu.com/ubuntu xenial/universe Translation-en [4,354 kB]
Get:26 http://gb.archive.ubuntu.com/ubuntu xenial/universe amd64 DEP-11 Metadata [3,410 kB]
Get:27 http://gb.archive.ubuntu.com/ubuntu xenial/universe DEP-11 64x64 Icons [7,448 kB]
Get:28 http://gb.archive.ubuntu.com/ubuntu xenial/multiverse amd64 Packages [144 kB]
Get:29 http://gb.archive.ubuntu.com/ubuntu xenial/multiverse i386 Packages [140 kB]
Get:30 http://gb.archive.ubuntu.com/ubuntu xenial/multiverse Translation-en_GB [88.1 kB]
Get:31 http://gb.archive.ubuntu.com/ubuntu xenial/multiverse Translation-en [106 kB]
Get:32 http://gb.archive.ubuntu.com/ubuntu xenial/multiverse amd64 DEP-11 Metadata [63.8 kB]
Get:33 http://gb.archive.ubuntu.com/ubuntu xenial/multiverse DEP-11 64x64 Icons [230 kB]
Get:34 http://gb.archive.ubuntu.com/ubuntu xenial-updates/main amd64 Packages [28 B]
Get:35 http://gb.archive.ubuntu.com/ubuntu xenial-updates/main i386 Packages [28 B]
Get:36 http://gb.archive.ubuntu.com/ubuntu xenial-updates/main Translation-en [28 B]
Get:37 http://gb.archive.ubuntu.com/ubuntu xenial-updates/restricted amd64 Packages [28 B]
Get:38 http://gb.archive.ubuntu.com/ubuntu xenial-updates/restricted i386 Packages [28 B]
Get:39 http://gb.archive.ubuntu.com/ubuntu xenial-updates/restricted Translation-en [28 B]
Get:40 http://gb.archive.ubuntu.com/ubuntu xenial-updates/universe amd64 Packages [28 B]
Get:41 http://gb.archive.ubuntu.com/ubuntu xenial-updates/universe i386 Packages [28 B]
Get:42 http://gb.archive.ubuntu.com/ubuntu xenial-updates/universe Translation-en [28 B]
Get:43 http://gb.archive.ubuntu.com/ubuntu xenial-updates/multiverse amd64 Packages [28 B]
Get:44 http://gb.archive.ubuntu.com/ubuntu xenial-updates/multiverse i386 Packages [28 B]
Get:45 http://gb.archive.ubuntu.com/ubuntu xenial-updates/multiverse Translation-en [28 B]
Get:46 http://gb.archive.ubuntu.com/ubuntu xenial-backports/main amd64 Packages [28 B]
Get:47 http://gb.archive.ubuntu.com/ubuntu xenial-backports/main i386 Packages [28 B]
Get:48 http://gb.archive.ubuntu.com/ubuntu xenial-backports/main Translation-en [28 B]
Get:49 http://gb.archive.ubuntu.com/ubuntu xenial-backports/restricted amd64 Packages [28 B]
Get:50 http://gb.archive.ubuntu.com/ubuntu xenial-backports/restricted i386 Packages [28 B]
Get:51 http://gb.archive.ubuntu.com/ubuntu xenial-backports/restricted Translation-en [28 B]
Get:52 http://gb.archive.ubuntu.com/ubuntu xenial-backports/universe amd64 Packages [28 B]
Get:53 http://gb.archive.ubuntu.com/ubuntu xenial-backports/universe i386 Packages [28 B]
Get:54 http://gb.archive.ubuntu.com/ubuntu xenial-backports/universe Translation-en [28 B]
Get:55 http://gb.archive.ubuntu.com/ubuntu xenial-backports/multiverse amd64 Packages [28 B]
Get:56 http://gb.archive.ubuntu.com/ubuntu xenial-backports/multiverse i386 Packages [28 B]
Get:57 http://gb.archive.ubuntu.com/ubuntu xenial-backports/multiverse Translation-en [28 B]
Fetched 39.0 MB in 7min 59s (81.3 kB/s)                                        
AppStream cache update completed, but some metadata was ignored due to errors.
Reading package lists... Done

Why the error at the end? What does it mean? What errors? Is this a problem and to whom should I report it?

I have found that if I run sudo apt-get clean that when running the update command after that the output I get is instead (with no error):

Hit:1 http://security.ubuntu.com/ubuntu xenial-security InRelease
Hit:2 http://gb.archive.ubuntu.com/ubuntu xenial InRelease
Hit:3 http://gb.archive.ubuntu.com/ubuntu xenial-updates InRelease
Hit:4 http://gb.archive.ubuntu.com/ubuntu xenial-backports InRelease
Reading package lists... Done

But this only seems to last until there are new updates.

Information Update:

I have found that when running sudo appstreamcli refresh --force --verbose that this is the output:

** (appstreamcli:2227): DEBUG: Refreshing AppStream cache
** (appstreamcli:2227): DEBUG: Reading: /usr/share/app-info/xmls/org.freedesktop.fwupd.xml
** (appstreamcli:2227): DEBUG: Reading: /var/lib/app-info/yaml/gb.archive.ubuntu.com_ubuntu_dists_xenial_universe_dep11_Components-amd64.yml.gz
** (appstreamcli:2227): DEBUG: Reading: /var/lib/app-info/yaml/gb.archive.ubuntu.com_ubuntu_dists_xenial-updates_main_dep11_Components-amd64.yml.gz
** (appstreamcli:2227): DEBUG: Reading: /var/lib/app-info/yaml/gb.archive.ubuntu.com_ubuntu_dists_xenial_multiverse_dep11_Components-amd64.yml.gz
** (appstreamcli:2227): DEBUG: Reading: /var/lib/app-info/yaml/gb.archive.ubuntu.com_ubuntu_dists_xenial_main_dep11_Components-amd64.yml.gz
** (appstreamcli:2227): DEBUG: Reading: /var/lib/app-info/yaml/gb.archive.ubuntu.com_ubuntu_dists_xenial_restricted_dep11_Components-amd64.yml.gz
** (appstreamcli:2227): DEBUG: Reading: /var/lib/app-info/yaml/gb.archive.ubuntu.com_ubuntu_dists_xenial-updates_restricted_dep11_Components-amd64.yml.gz
** (appstreamcli:2227): DEBUG: Reading: /var/lib/app-info/yaml/gb.archive.ubuntu.com_ubuntu_dists_xenial-updates_universe_dep11_Components-amd64.yml.gz
** (appstreamcli:2227): DEBUG: Reading: /var/lib/app-info/yaml/gb.archive.ubuntu.com_ubuntu_dists_xenial-updates_multiverse_dep11_Components-amd64.yml.gz
** (appstreamcli:2227): DEBUG: Reading: /var/lib/app-info/yaml/security.ubuntu.com_ubuntu_dists_xenial-security_main_dep11_Components-amd64.yml.gz
** (appstreamcli:2227): DEBUG: Reading: /var/lib/app-info/yaml/security.ubuntu.com_ubuntu_dists_xenial-security_restricted_dep11_Components-amd64.yml.gz
** (appstreamcli:2227): DEBUG: Reading: /var/lib/app-info/yaml/security.ubuntu.com_ubuntu_dists_xenial-security_universe_dep11_Components-amd64.yml.gz
** (appstreamcli:2227): DEBUG: Reading: /var/lib/app-info/yaml/security.ubuntu.com_ubuntu_dists_xenial-security_multiverse_dep11_Components-amd64.yml.gz
** (appstreamcli:2227): DEBUG: Reading: /var/cache/app-info/xmls/fwupd.xml
** (appstreamcli:2227): DEBUG: Detected colliding ids: plan.desktop was already added with the same priority.
** (appstreamcli:2227): DEBUG: Detected colliding ids: flcheckers.desktop was already added with the same priority.
** (appstreamcli:2227): DEBUG: Detected colliding ids: flblocks.desktop was already added with the same priority.
** (appstreamcli:2227): DEBUG: Detected colliding ids: flsudoku.desktop was already added with the same priority.
** (appstreamcli:2227): DEBUG: zathura-pdf-poppler.desktop extends zathura.desktop, but zathura.desktop was not found.
** (appstreamcli:2227): DEBUG: WARNING: Skipped component 'com.steelseries.rival-legacy.firmware': The component is invalid.
** (appstreamcli:2227): DEBUG: Removing old rebuild-dir from previous database rebuild.
AppStream cache update completed, but some metadata was ignored due to errors.

Please note that if you don't seem to be getting this error and you are running Xenial please run this just to be absolutely sure (it will clear your sources list and then force it to re-download all of them, this should trigger the behaviour and is absolutely safe):

sudo rm -rf /var/lib/apt/lists ; sudo apt-get update
  • I've got the same AppStream error... :-/ But it looks like it does not go away after a apt-get clean but whenever there's no package list to update. If you sudo rm -rf /var/lib/apt/lists ; sudo apt-get update it happens again, but further sudo apt-get updates won't show anything about AppStream any more. – Byte Commander Apr 24 '16 at 18:18
  • @ByteCommander: What do you think the error relates to? Something server-side giving malformed metadata or something wrong on my machine? Do you know of any way of viewing more information on the error? – user364819 Apr 24 '16 at 19:14
  • @ByteCommander: Please let me know if you get the same as I do when running the command I say in my question (the latest one). – user364819 Apr 25 '16 at 15:30
  • Yes, I have exactly the same "Detected..."/"WARNING" lines. – Byte Commander Apr 25 '16 at 15:52
3

The AppStream component 'com.steelseries.rival-legacy.firmware' in /usr/share/app-info/xmls/org.freedesktop.fwupd.xml must have a <name/> and <summary/> tag to be valid. Upstream said he will commit a fix to fwupd tomorrow, which should then be added to Ubuntu via SRU. That should make the message vanish (you could also manually edit the file, but I don't recommend that - just ignore the message).

Please see https://bugs.launchpad.net/ubuntu/+source/appstream/+bug/1575248 for details on why this happens at all, and what the messages you see in verbose mode mean.

EDIT:

An updated version of fwupd has been released to the normal stable channels which fixes the issue.

  • I can't find that file on my system, app-info is a non-existant folder. – user364819 Apr 26 '16 at 18:38
  • That directory must be present, it's listed in your verbose log of appstreamcli ;-) You could also check the app-info directories in /var/cache and var/lib for the org.freedesktop.fwupd.xml file, but I'm pretty sure it's in /usr/share/app-info/xmls. There is an fwupd package update in x-proposed right now, which fixes this issue. – Matthias May 3 '16 at 1:24
  • I know it's strange, but when I run ls /usr/share/app-info/ I get: ls: cannot access /usr/share/app-info: No such file or directory. – user364819 May 3 '16 at 14:23
  • And non of the other locations you said to look in have an app-info folder either. Maybe this is another bug? – user364819 May 3 '16 at 14:24
  • Please update/edit your answer to indicate the fact that an update patching this bug has now been released. – user364819 May 14 '16 at 12:04

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy